<!--<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

  
  <script src="../../../../../clover.js" type="text/javascript"></script>
  <script src="../../../../../sorttable.js" type="text/javascript"></script>

  <style type="text/css" media="screen">
      @import url('../../../../../style.css');
      @import url('../../../../../roundedcorners.css');
  </style>
<title> HttpCore NIO 4.2.3 </title>      
</head>
  <body onload="showContent();">
    <div class="titleText">
      <a href="pkg-summary.html" target="classPane" title="org.apache.http.nio.util">org.apache.http.nio.util</a>
    </div>
    <div id="loading">Loading...</div>
    <div style="display:none;position:relative; height:20px" id="content">
        <div id="nav">
        <ul>
                        <li class="titleText selectable  active ">
                <a href="pkg-app.html">Classes</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-test.html">Tests</a>
            </li>
                        <li class="titleText selectable  inactive ">
                <a href="pkg-results.html">Results</a>
            </li>
                    </ul>
        </div>
    </div>
            <table class="barGraph" id="classlist"  cellspacing="0">

<tbody>
    <tr>
    <td class="sortable graphHeaderLeft tabPanel" onclick="ts_resortTable(this, 'alpha', 0);return false;">Class</td>
    <td class="sortable graphHeader tabPanel" onclick="ts_resortTable(this, 'number', 1);return false;">Coverage&nbsp;&nbsp;&nbsp;&nbsp;</td>
    </tr>
              <tr>
    <td><span class="sortValue">DirectByteBufferAllocator</span>
            <a class="classlist" target="classPane" href="DirectByteBufferAllocator.html#DirectByteBufferAllocator" title="org.apache.http.nio.util.DirectByteBufferAllocator">DirectByteBufferAllocator</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">ExpandableBuffer</span>
            <a class="classlist" target="classPane" href="ExpandableBuffer.html#ExpandableBuffer" title="org.apache.http.nio.util.ExpandableBuffer">ExpandableBuffer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.6933333</span>
        <i>(69.3%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">HeapByteBufferAllocator</span>
            <a class="classlist" target="classPane" href="HeapByteBufferAllocator.html#HeapByteBufferAllocator" title="org.apache.http.nio.util.HeapByteBufferAllocator">HeapByteBufferAllocator</a>
        </td>
    <td valign="top">
        <span class="sortValue">1.0</span>
        <i>(100%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SharedInputBuffer</span>
            <a class="classlist" target="classPane" href="SharedInputBuffer.html#SharedInputBuffer" title="org.apache.http.nio.util.SharedInputBuffer">SharedInputBuffer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.5903614</span>
        <i>(59%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SharedOutputBuffer</span>
            <a class="classlist" target="classPane" href="SharedOutputBuffer.html#SharedOutputBuffer" title="org.apache.http.nio.util.SharedOutputBuffer">SharedOutputBuffer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.63225806</span>
        <i>(63.2%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SimpleInputBuffer</span>
            <a class="classlist" target="classPane" href="SimpleInputBuffer.html#SimpleInputBuffer" title="org.apache.http.nio.util.SimpleInputBuffer">SimpleInputBuffer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.96875</span>
        <i>(96.9%)</i><br/>
    </td>
  </tr>
        <tr>
    <td><span class="sortValue">SimpleOutputBuffer</span>
            <a class="classlist" target="classPane" href="SimpleOutputBuffer.html#SimpleOutputBuffer" title="org.apache.http.nio.util.SimpleOutputBuffer">SimpleOutputBuffer</a>
        </td>
    <td valign="top">
        <span class="sortValue">0.67346936</span>
        <i>(67.3%)</i><br/>
    </td>
  </tr>
  </tbody>
</table> <!-- End table of tests -->      </body>
</html>